Module java.desktop
Package javax.swing.plaf.basic

# Class BasicScrollBarUI.ArrowButtonListener

java.lang.Object
java.awt.event.MouseAdapter
javax.swing.plaf.basic.BasicScrollBarUI.ArrowButtonListener

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

Enclosing class:
  BasicScrollBarUI

    protected class BasicScrollBarUI.ArrowButtonListener
    extends MouseAdapter

Listener for cursor keys.

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `ArrowButtonListener()` |

## Method Summary

### Methods declared in class java.awt.event.MouseAdapter

`mouseDragged, mouseMoved, mouseWheelMoved`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.MouseListener

`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

## Constructor Details

### ArrowButtonListener

protected ArrowButtonListener()